Package org.springframework.http.client.observation

# Enum Class ClientHttpObservationDocumentation.LowCardinalityKeyNames

java.lang.Object
java.lang.Enum<ClientHttpObservationDocumentation.LowCardinalityKeyNames>
org.springframework.http.client.observation.ClientHttpObservationDocumentation.LowCardinalityKeyNames

All Implemented Interfaces:
  `io.micrometer.common.docs.KeyName`, `Serializable`, `Comparable<ClientHttpObservationDocumentation.LowCardinalityKeyNames>`, `Constable`

Enclosing class:
  ClientHttpObservationDocumentation

public static enum ClientHttpObservationDocumentation.LowCardinalityKeyNames extends Enum<ClientHttpObservationDocumentation.LowCardinalityKeyNames> implements io.micrometer.common.docs.KeyName

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLIENT_NAME`
Client name derived from the request URI host.
`EXCEPTION`
Name of the exception thrown during the exchange, or "none" if no exception happened.
`METHOD`
Name of HTTP request method or "none" if the request could not be created.
`OUTCOME`
Outcome of the HTTP client exchange.
`STATUS`
HTTP response raw status code, or `"IO_ERROR"` in case of `IOException`, or `"CLIENT_ERROR"` if no response was received.
`URI`
URI template used for HTTP request, or "none" if none was provided.

## Method Summary

Modifier and Type
Method
Description
`static ClientHttpObservationDocumentation.LowCardinalityKeyNames`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientHttpObservationDocumentation.LowCardinalityKeyNames[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.common.docs.KeyName

`asString, isRequired, withValue, withValue`

## Enum Constant Details

### METHOD

public static final ClientHttpObservationDocumentation.LowCardinalityKeyNames METHOD
Name of HTTP request method or "none" if the request could not be created.

### URI

public static final ClientHttpObservationDocumentation.LowCardinalityKeyNames URI
URI template used for HTTP request, or "none" if none was provided.

The protocol, host and port part of the URI are not considered.

### STATUS

public static final ClientHttpObservationDocumentation.LowCardinalityKeyNames STATUS
HTTP response raw status code, or `"IO_ERROR"` in case of `IOException`, or `"CLIENT_ERROR"` if no response was received.

### CLIENT_NAME

public static final ClientHttpObservationDocumentation.LowCardinalityKeyNames CLIENT_NAME
Client name derived from the request URI host.

Since:
  6.0.5

### EXCEPTION

public static final ClientHttpObservationDocumentation.LowCardinalityKeyNames EXCEPTION
Name of the exception thrown during the exchange, or "none" if no exception happened.

### OUTCOME

public static final ClientHttpObservationDocumentation.LowCardinalityKeyNames OUTCOME
Outcome of the HTTP client exchange.

See Also:
  - `HttpStatus.Series`

## Method Details

### values

public static ClientHttpObservationDocumentation.LowCardinalityKeyNames[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClientHttpObservationDocumentation.LowCardinalityKeyNames valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null